Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AdServiceMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface AdServiceMBean
extends ServiceConfigurationMBean

AdService configuration management bean interface.

This MBean should have `AdContentProviderMBean`s as children.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getAdClickThruURI()` Get the partial uri of the Ad Click-Thru handler.
`int` | `getDisplayFlushSize()` Get the number of display event after which the cached should be flushed to the database.
`String` | `getEventTracker()` Get the class name of the class responsible for posting events (implementation of com.bea.p13n.ad.AdEventTracker).
`String` | `getRendering()` Get the class name of the class responsible for rendering ad content (implementation of com.bea.p13n.ad.AdContentProvider).
`String` | `getShowDocURI()` Get the partial uri of the Show Document handler.
`void` | `setAdClickThruURI(String uri)` Set the partial uri of the Ad Click-Thru handler.
`void` | `setDisplayFlushSize(int size)` Set the number of display event after which the cached should be flushed to the database.
`void` | `setEventTracker(String tracker)` Set the class name of the class responsible for posting ad events (implementation of `AdEventTracker`).
`void` | `setRendering(String rendering)` Set the class name of the class responsible for rendering all ad content (implementation of `AdContentProvider`).
`void` | `setShowDocURI(String uri)` Set the partial uri of the Show Document handler.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAdClickThruURI

    public String getAdClickThruURI()

  Get the partial uri of the Ad Click-Thru handler.

  MBean Attribute Default Value:
    "AdClickThru"

### getDisplayFlushSize

    public int getDisplayFlushSize()

  Get the number of display event after which the cached should be flushed to the database.

  MBean Attribute Default Value:
    10
  MBean Attribute Old Property Name:
    adservicebean.display.flush.size

### getEventTracker

    public String getEventTracker()

  Get the class name of the class responsible for posting events (implementation of com.bea.p13n.ad.AdEventTracker).

### getRendering

    public String getRendering()

  Get the class name of the class responsible for rendering ad content (implementation of com.bea.p13n.ad.AdContentProvider).

### getShowDocURI

    public String getShowDocURI()

  Get the partial uri of the Show Document handler.

  MBean Attribute Default Value:
    "ShowDoc"

### setAdClickThruURI

    public void setAdClickThruURI(String uri)

  Set the partial uri of the Ad Click-Thru handler.

### setDisplayFlushSize

    public void setDisplayFlushSize(int size)

  Set the number of display event after which the cached should be flushed to the database.

  MBean Attribute Old Property Name:
    adservicebean.display.flush.size
  MBean Attribute Legal Min:
    1

### setEventTracker

    public void setEventTracker(String tracker)

  Set the class name of the class responsible for posting ad events (implementation of `AdEventTracker`).

  MBean Attribute Default Value:
    "com.bea.p13n.ad.AdEventTrackerBase"

### setRendering

    public void setRendering(String rendering)

  Set the class name of the class responsible for rendering all ad content (implementation of `AdContentProvider`).

  MBean Attribute Default Value:
    "com.bea.p13n.ad.AdContentProviderBase"

### setShowDocURI

    public void setShowDocURI(String uri)

  Set the partial uri of the Show Document handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved